image: golang:1.20

stages:
#  - build
  - test
#  - deploy

variables:
  GOPATH: "/go"
  GO111MODULE: "on"

test:
  stage: test
  script:
    - cd $GOPATH/src
    - mkdir -p gitlab.com/$CI_PROJECT_NAMESPACE
    - cd gitlab.com/$CI_PROJECT_NAMESPACE
    - ln -s $CI_PROJECT_DIR
    - cd $CI_PROJECT_NAME
    - apt-get update -qy
    - apt-get install -y curl gawk
    - go mod download
    #- go get github.com/mattn/goveralls
    - go test -v -coverprofile=coverage.out ./...
    #- $GOPATH/bin/goveralls -coverprofile=cover.out -service=gitlab-ci


